Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
wishlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
| $TinyImageWidth = $ini->variable( "eZImageCatalogueMain", "TinyImageWidth" )
| $TinyImageHeight = $ini->variable( "eZImageCatalogueMain", "TinyImageHeight" )
| $wishlist = new eZWishList()
| $session = new eZSession()
if(! $session->fetch()) | $user =& eZUser::currentUser()
if(! $wishlist) if(isset( $Action) && $Action=="AddToBasket") if(isset( $Action) && $Action=="RemoveFromWishlist") if(isset( $Action) && $Action=="Refresh") if(isset( $Action) && $Action=="MoveToCart") | $t
if( $wishlist->isPublic()==true) | else
| $items = $wishlist->items( )
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $i = 0
| $sum = 0.0

## Variable Documentation

## ◆ $currency

$currency = new eZCurrency()

Definition at line 320 of file wishlist.php.

## ◆ $i

$i = 0

Definition at line 326 of file wishlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file wishlist.php.

## ◆ $items

$items = $wishlist->items( )

Definition at line 315 of file wishlist.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 36 of file wishlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 319 of file wishlist.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 39 of file wishlist.php.

## ◆ $session

$session = new eZSession()

Definition at line 56 of file wishlist.php.

## ◆ $ShowNamedQuantity

$ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"

Definition at line 38 of file wishlist.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 40 of file wishlist.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 37 of file wishlist.php.

## ◆ $sum

$sum = 0.0

Definition at line 327 of file wishlist.php.

## ◆ $t

if (! $wishlist) if (isset($Action) &&$Action=="AddToBasket") if (isset($Action) &&$Action=="RemoveFromWishlist") if (isset($Action) &&$Action=="Refresh") if (isset($Action) &&$Action=="MoveToCart") $t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "wishlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: wishlist.php:36
$ini
$ini
Definition: wishlist.php:34

Definition at line 271 of file wishlist.php.

## ◆ $TinyImageHeight

$TinyImageHeight = $ini->variable( "eZImageCatalogueMain", "TinyImageHeight" )

Definition at line 42 of file wishlist.php.

## ◆ $TinyImageWidth

$TinyImageWidth = $ini->variable( "eZImageCatalogueMain", "TinyImageWidth" )

Definition at line 41 of file wishlist.php.

## ◆ $user

if (! $session->fetch()) $user =& eZUser::currentUser()

Definition at line 66 of file wishlist.php.

## ◆ $wishlist

if (! $user) $wishlist = new eZWishList()

Definition at line 55 of file wishlist.php.

## ◆ else

if (count($items) > 0) else

Initial value:
{
$t->parse( "non_public_wishlist", "non_public_wishlist_tpl" )
$t
if(! $wishlist) if(isset( $Action) && $Action=="AddToBasket") if(isset( $Action) && $Action=="RemoveFromWishlist") if(isset( $Action) && $Action=="Refresh") if(isset( $Action) && $Action=="MoveToCart") $t
Definition: wishlist.php:271

Definition at line 309 of file wishlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.